<template>
  <div class="box-center">
    <!-- 头 -->
    <div class="app-top">
      <div class="app-titel" v-if="orgType!=3">
        <div class="label" style="color: #32363d; font-weight: 400">
          楼盘选择：
        </div>
        <div>
          <el-select
            v-model="searchForm.houseId"
            style="width: 200px"
            @change="houseChange"
            placeholder="请选择"
            filterable
          >
            <el-option
              v-for="item in houseList"
              :key="item.id"
              :label="item.propertyName"
              :value="item.id"
            >
            </el-option>
          </el-select>
        </div>
      </div>
      <div class="app-titel" style="margin-top: 5px">
        <div class="label">正确词：</div>
        <div>
          <el-input v-model="searchForm.correctWord"></el-input>
        </div>
        <div class="label">错误词：</div>
        <div>
          <el-input v-model="searchForm.wrongWord"></el-input>
        </div>
        <div style="margin-left: 20px">
          <el-button style="background: #2671e2; color: #ffffff" @click="screen"
            >筛选</el-button
          >
        </div>
        <div style="margin-left: 20px">
          <el-button @click="clascreen">清空筛选条件</el-button>
        </div>
        <div style="margin-left: 20px">
          <el-button
            @click="addinfo()"
            style="background: #2671e2; color: #ffffff"
            >新增</el-button
          >
        </div>
      </div>
    </div>

    <!-- 表格 -->
    <div class="cen-tab">
      <el-table :data="tableData" stripe style="width: 100%">
        <el-table-column type="index" label="序号" width="50">
        </el-table-column>
        <el-table-column prop="correctWord" label="正确词" align="center">
        </el-table-column>
        <el-table-column prop="wrongWord" label="错误词" align="center">
        </el-table-column>

        <el-table-column prop="createTime" label="创建时间" align="center">
        </el-table-column>

        <!-- <el-table-column prop="date" label="备注" align="center">
        </el-table-column> -->
        <!--  scope -->
        <el-table-column label="操作" align="center">
          <template slot-scope="{ row }">
            <el-button type="text" @click="edit(row)">修改</el-button>
            <el-button type="text" @click="del(row)">删除</el-button>
          </template>
        </el-table-column>
      </el-table>
      <div style="display: flex; justify-content: flex-end; margin-top: 10px">
        <el-pagination
          @size-change="handleSizeChange"
          @current-change="handleCurrentChange"
          :current-page="currentPage"
          :page-sizes="[10, 20, 30, 40]"
          :page-size="size"
          layout="total, sizes, prev, pager, next, jumper"
          :total="total"
        >
        </el-pagination>
      </div>
    </div>

    <el-dialog
      :title="editFlag ? '修改常错词' : '新增常错词'"
      :visible.sync="dialogVisible"
      @close="reset"
    >
      <el-form
        :model="ruleForm"
        :rules="rules"
        label-position="labelPosition"
        ref="ruleForm"
        label-width="140px"
        style="width: 60%; margin: 0 auto"
      >
        <el-form-item label="正确词" prop="correctWord">
          <el-input v-model="ruleForm.correctWord"></el-input>
        </el-form-item>
        <el-form-item label="错误词" prop="wrongWord">
          <el-input v-model="ruleForm.wrongWord"></el-input>
        </el-form-item>
        <el-form-item label="描述：" prop="memo">
          <el-input type="textarea" v-model="ruleForm.memo"></el-input>
        </el-form-item>
      </el-form>
      <div slot="footer" class="dialog-footer">
        <el-button @click="dialogVisible = false">取 消</el-button>
        <el-button type="primary" @click="addSure()">保存</el-button>
      </div>
    </el-dialog>
  </div>
</template>

<script>
export default {
  data() {
    return {
      currentPage: 4,
      orgType:localStorage.getItem('orgType'),
      value: "",
      input: "",
      tableData: [],
      multipleSelection: [],
      dialogVisible: false,
      houseList: [],
      ruleForm: {
        correctWord: "",
        wrongWord: "",
        memo: "",
      },
      searchForm: {
        correctWord: "",
        wrongWord: "",
        houseId: "",
      },
      currentPage: 1,
      editFlag: false,
      size: 10,
      total: 10,
      rules: {
        correctWord: [
          { required: true, message: "请填写正确词", trigger: "change" },
        ],
        wrongWord: [
          { required: true, message: "请填写错误词", trigger: "change" },
        ],
      },
    };
  },
  mounted() {
    // 获取楼盘列表
    this.zkhousePage();
  },
  methods: {
    edit(row) {
      this.ruleForm = Object.assign({}, row);
      this.editFlag = true;
      this.dialogVisible = true;
    },
    del(row) {
      console.log(row, "删除");
      this.$confirm(`是否删除区域?`, "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        distinguishCancelAndClose: true,
        type: "warning",
      }).then(() => {
        axios({
          url: `/autoSR/zk/correct/del`,
          method: "post",
          data: {
            id: row.id,
          },
        }).then((res) => {
          if (res.code == 0) {
            this.$message.success("删除成功");
            this.correctFindbypage();
          } else {
            this.$message.warning(res.resMsg);
          }
        });
      });
    },
    reset() {
      this.$refs.ruleForm.resetFields();
      this.ruleForm = {
        correctWord: "",
        wrongWord: "",
        memo: "",
      };
    },
    addSure() {
      // console.log(this.addressOptions)
      this.$refs.ruleForm.validate((valid) => {
        if (valid) {
          console.log(this.ruleForm);
          // 编辑
          // return;
          if (this.editFlag) {
            console.log("编辑");
            this.$api.api.correctUpdate(this.ruleForm).then((res) => {
              console.log(res);
              if (res.code == 0) {
                this.dialogVisible = false;
                this.$message.success("编辑成功");
                this.correctFindbypage();
              }
            });
          } else {
            // 添加
            console.log("添加");
            // return;
            this.$api.api
              .correctAdd({
                houseId: this.searchForm.houseId,
                ...this.ruleForm,
              })
              .then((res) => {
                console.log(res);
                if (res.code == 0) {
                  this.dialogVisible = false;
                  this.$message.success("新增常错词成功");
                  this.correctFindbypage();
                }
              });
          }
        }
      });
    },
    screen() {
      this.currentPage = 1;
      this.correctFindbypage();
    },
    clascreen() {
      this.searchForm.wrongWord = "";
      this.searchForm.correctWord = "";
      this.searchForm.houseId=this.orgType==3? localStorage.getItem('houseId'):this.houseList[0].id,
      this.correctFindbypage();
    },
    houseChange() {
      this.correctFindbypage();
    },
    zkhousePage() {
      this.$api.api
        .findHouseByUser({
          orgType: localStorage.getItem("orgType"),
        })
        .then((res) => {
          // console.log(res)
          this.houseList = res.data;
          if (localStorage.getItem("orgType") == 3) {
            this.searchForm.houseId = localStorage.getItem("houseId");
          } else {
            this.searchForm.houseId = res.data[0].id;
          }
          // this.searchForm.houseId = res.data[0].id;
          // 列表获取
          this.correctFindbypage();
        });
    },
    // 获取常错词列表
    correctFindbypage() {
      let obj = {
        current: this.currentPage,
        size: this.size,
        ...this.searchForm,
      };
      this.$api.api.correctFindbypage(obj).then((res) => {
        console.log(res);
        this.tableData = res.data.records;
        this.total = res.data.total;
      });
    },
    addinfo() {
      this.editFlag = false;
      this.dialogVisible = true;
    },
    editor() {
      this.dialogVisible = false;
    },
    handleSelectionChange(val) {
      this.multipleSelection = val;
    },
    handleSizeChange(val) {
      console.log(`每页 ${val} 条`);
      this.size = val;
      this.correctFindbypage();
    },
    handleCurrentChange(val) {
      console.log(`当前页: ${val}`);
      this.currentPage = val;
      this.correctFindbypage();
    },
  },
};
</script>

<style scoped="scoped" lang="scss" >
.box-center {
  width: 100%;
  padding: 15px;
  min-width: 1200px;
  padding-bottom: 100px;
}
.cen-tab {
  width: 100%;
  padding: 15px;
  background: #ffffff;
  margin-top: 15px;
}
.tophove {
  color: #ffffff;
  background: #2671e2;
}
.app-top {
  width: 100%;
  background: #ffffff;
  box-shadow: 0px 0px 12px 0px rgba(0, 0, 0, 0.04);
  border-radius: 4px;
  padding-top: 15px;
  padding-bottom: 15px;
  .app-titel {
    width: 100%;
    display: flex;
    align-items: center;
    .label {
      font-size: 14px;
      font-weight: 400;
      color: #32363d;
      line-height: 14px;
      width: 80px;
      margin-left: 15px;
    }
    .toptimeqhuan {
      height: 30px;
      background: #ffffff;
      display: flex;
      align-items: center;
    }
    .toptimeqhuan div {
      padding-left: 20px;
      padding-right: 20px;
      text-align: center;
      line-height: 30px;
      font-size: 14px;
      margin-right: 15px;
      border-radius: 4px;
      border: 1px solid #e0e0e0;
    }
  }
}
</style>
